package es.uv.dagarcos.master.dto;

public class DashboardSummaryDto {

    private long totalShards;
    private long totalPlayers;
    private long totalEvents;
    private long activeShards;

    public DashboardSummaryDto(long totalShards,
                               long totalPlayers,
                               long totalEvents,
                               long activeShards) {
        this.totalShards = totalShards;
        this.totalPlayers = totalPlayers;
        this.totalEvents = totalEvents;
        this.activeShards = activeShards;
    }

    public long getTotalShards() {
        return totalShards;
    }

    public void setTotalShards(long totalShards) {
        this.totalShards = totalShards;
    }

    public long getTotalPlayers() {
        return totalPlayers;
    }

    public void setTotalPlayers(long totalPlayers) {
        this.totalPlayers = totalPlayers;
    }

    public long getTotalEvents() {
        return totalEvents;
    }

    public void setTotalEvents(long totalEvents) {
        this.totalEvents = totalEvents;
    }

    public long getActiveShards() {
        return activeShards;
    }

    public void setActiveShards(long activeShards) {
        this.activeShards = activeShards;
    }

    
}